Bug 249505 - Review Request: gdhcpd - GTK+ administration tool for DHCPD
Summary: Review Request: gdhcpd - GTK+ administration tool for DHCPD
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-25 09:33 UTC by Adel Gadllah
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-12 08:24:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Adel Gadllah 2007-07-25 09:33:04 UTC
Spec URL: http://tgmweb.at/gadllah/gdhcpd.spec
SRPM URL: http://tgmweb.at/gadllah/gdhcpd-0.3.2-1.fc7.src.rpm
Description: 
GDHCPD is an easy to use GTK+ administration tool for ISC DHCPD. 
It handles dynamic scopes, hosts, ranges and settings.

Comment 1 Jochen Schmitt 2007-07-26 15:55:49 UTC
Good:
+ Package meets naming guidelines
+ SPACE file name matches with packabe base name
+ Package has consitant macoro usage
+ License is GPL
+ License tag matches with License in the tar ball
+ Package contains a verbatim copy of the license text
+ SPEC is in English
+ SPEC is legible
+ Tar ball matches with upstream
  (md5sum: a59be9812f7cf39c1401aa68b601ca68)
+ Package has correct buildroot
+ Package contains no sub packages
+ BuildRequies doesn't redundant
+ Local build works properly
+ Local install and uninstall works fine
+ Local start of the application works fine
+ application has a proper menu entry
+ Package has proper %defattr and file permissions
+ Package has a connect %clean section
+ Buildroot will be cleaned properly on start of the %install section
+ File list doesn't contains duplicates files
+ File list doesn't contains file or directories owned be other packages
+ %doc section is small
+ File in %doc section doesn't affect runtime
+ Rpmlint is quite on source package
+ Rpmlint is quite on binary package
+ Rpmlint is quite on debuginfo package
+ Mock works fine on Devel(x86_65, ppp64, ppc)
 
+ Bad:
- I will prefer gettext-devel over gettext as a BR




Comment 2 Adel Gadllah 2007-07-26 16:17:56 UTC
thx for the review.
Fixed the BuildRequires:
http://tgmweb.at/gadllah/gdhcpd.spec
http://tgmweb.at/gadllah/gdhcpd-0.3.2-1.fc7.src.rpm

Comment 3 Adel Gadllah 2007-07-26 16:18:37 UTC
Sorry, typo correct urls:
http://tgmweb.at/gadllah/gdhcpd.spec
http://tgmweb.at/gadllah/gdhcpd-0.3.2-2.fc7.src.rpm


Comment 4 Jochen Schmitt 2007-07-26 16:33:12 UTC
Some optimizing work:

If you use %configure you don't need --prefix, --sysconfdir and --sbindir

Comment 6 Jochen Schmitt 2007-07-26 17:21:34 UTC
Unfortunately, I have find an addtional issue:

You should add

%{_datadir}/pixmaps/gdhcpd/

instaed of

%{_datadir}/pixmaps/gdhcpd/gdhcpd.png

in the filelist to make sure that the directory %{_datadir}/pixmaps/gdhcpd will
be owned by your package.

Comment 7 Dan Horák 2007-07-26 17:34:23 UTC
(In reply to comment #6)
> %{_datadir}/pixmaps/gdhcpd/gdhcpd.png
> 
> in the filelist to make sure that the directory %{_datadir}/pixmaps/gdhcpd will
> be owned by your package.

Or you should check why the same pixmap must be installed into 2 different places.

Comment 9 Jochen Schmitt 2007-07-26 17:58:33 UTC
It's look nice for mee.

*** Your are APPROVED ***

Comment 10 Adel Gadllah 2007-07-26 18:02:33 UTC
New Package CVS Request
=======================
Package Name: gdhcpd
Short Description: GTK+ administration tool for ISC DHCPD
Owners: adel.gadllah@gmail.com
Branches: FC-6 F-7


Note You need to log in before you can comment on or make changes to this bug.